import { h } from "@stencil/core";
import { CopyTextView } from "../views/copy-text-view";
import scenario from "./ReferralCode.feature";
export default {
  title: "Components/Referral Code",
  parameters: {
    scenario,
  },
};
export const ReferralCode = () => {
  return (h("sqm-referral-code", { tooltiptext: "Copied to Clipboard" }));
};
export const ShowNotificationText = () => {
  return (h("sqm-referral-code", { showNotificationText: true, notificationText: "You've copied this code before" }));
};
export const ShowNotificationTextRed = () => {
  return (h("sqm-referral-code", { textColor: "red", showNotificationText: true, notificationText: "You've copied this code before" }));
};
export const ShowNotificationTextWithButton = () => {
  return (h("sqm-referral-code", { showNotificationText: true, notificationText: "You've copied this code before", buttonStyle: "button-outside" }));
};
export const ShowNotificationTextWithButtonBelow = () => {
  return (h("sqm-referral-code", { showNotificationText: true, notificationText: "You've copied this code before", buttonStyle: "button-below" }));
};
export const CustomTooltipText = () => {
  return (h("sqm-referral-code", { tooltiptext: "CUSTOM TOOLTIP TEXT" }));
};
export const TextAlignCenter = () => {
  return h("sqm-referral-code", { textAlign: "center" });
};
export const TextAlignRight = () => {
  return h("sqm-referral-code", { textAlign: "right" });
};
export const CustomTooltipDuration = () => {
  return (h("sqm-referral-code", { tooltiplifespan: 5000, tooltiptext: "CUSTOM TOOLTIP TEXT" }));
};
export const CopyButton = () => {
  return (h(CopyTextView, Object.assign({}, {
    copyString: "https://noah.example.com",
    open: false,
    tooltiptext: "Copied!",
    isCopyIcon: false,
    buttonStyle: "button-outside",
  })));
};
export const CopyButtonBelow = () => {
  return (h(CopyTextView, Object.assign({}, {
    copyString: "https://noah.example.com",
    open: false,
    tooltiptext: "Copied!",
    buttonStyle: "button-below",
  })));
};
export const Error = () => {
  const props = {
    copyString: "https://noah.example.com",
    disabled: true,
    open: true,
    tooltiptext: "Copied!",
    error: true,
  };
  return h(CopyTextView, Object.assign({}, props));
};
